import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { CreateArgs } from '../types/CreateArgs';
export type CreateInstructionArgs = {
    createArgs: CreateArgs;
};
export declare const CreateStruct: beet.FixableBeetArgsStruct<CreateInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type CreateInstructionAccounts = {
    metadata: web3.PublicKey;
    masterEdition?: web3.PublicKey;
    mint: web3.PublicKey;
    authority: web3.PublicKey;
    payer: web3.PublicKey;
    updateAuthority: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
    splTokenProgram: web3.PublicKey;
};
export declare const createInstructionDiscriminator = 42;
export declare function createCreateInstruction(accounts: CreateInstructionAccounts, args: CreateInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
