import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { MigrateArgs } from '../types/MigrateArgs';
export type MigrateInstructionArgs = {
    migrateArgs: MigrateArgs;
};
export declare const MigrateStruct: beet.FixableBeetArgsStruct<MigrateInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type MigrateInstructionAccounts = {
    metadata: web3.PublicKey;
    edition: web3.PublicKey;
    token: web3.PublicKey;
    tokenOwner: web3.PublicKey;
    mint: web3.PublicKey;
    payer: web3.PublicKey;
    authority: web3.PublicKey;
    collectionMetadata: web3.PublicKey;
    delegateRecord: web3.PublicKey;
    tokenRecord: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
    splTokenProgram: web3.PublicKey;
    authorizationRulesProgram?: web3.PublicKey;
    authorizationRules?: web3.PublicKey;
};
export declare const migrateInstructionDiscriminator = 48;
export declare function createMigrateInstruction(accounts: MigrateInstructionAccounts, args: MigrateInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
