import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { VerificationArgs } from '../types/VerificationArgs';
export type UnverifyInstructionArgs = {
    verificationArgs: VerificationArgs;
};
export declare const UnverifyStruct: beet.BeetArgsStruct<UnverifyInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type UnverifyInstructionAccounts = {
    authority: web3.PublicKey;
    delegateRecord?: web3.PublicKey;
    metadata: web3.PublicKey;
    collectionMint?: web3.PublicKey;
    collectionMetadata?: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const unverifyInstructionDiscriminator = 53;
export declare function createUnverifyInstruction(accounts: UnverifyInstructionAccounts, args: UnverifyInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
