import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { UseArgs } from '../types/UseArgs';
export type UseInstructionArgs = {
    useArgs: UseArgs;
};
export declare const UseStruct: beet.FixableBeetArgsStruct<UseInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type UseInstructionAccounts = {
    authority: web3.PublicKey;
    delegateRecord?: web3.PublicKey;
    token?: web3.PublicKey;
    mint: web3.PublicKey;
    metadata: web3.PublicKey;
    edition?: web3.PublicKey;
    payer: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
    splTokenProgram?: web3.PublicKey;
    authorizationRulesProgram?: web3.PublicKey;
    authorizationRules?: web3.PublicKey;
};
export declare const useInstructionDiscriminator = 51;
export declare function createUseInstruction(accounts: UseInstructionAccounts, args: UseInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
