import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { VerificationArgs } from '../types/VerificationArgs';
export type VerifyInstructionArgs = {
    verificationArgs: VerificationArgs;
};
export declare const VerifyStruct: beet.BeetArgsStruct<VerifyInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type VerifyInstructionAccounts = {
    authority: web3.PublicKey;
    delegateRecord?: web3.PublicKey;
    metadata: web3.PublicKey;
    collectionMint?: web3.PublicKey;
    collectionMetadata?: web3.PublicKey;
    collectionMasterEdition?: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const verifyInstructionDiscriminator = 52;
export declare function createVerifyInstruction(accounts: VerifyInstructionAccounts, args: VerifyInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
