import * as web3 from '@solana/web3.js';
import * as beet from '@metaplex-foundation/beet';
export type RuleSetToggleRecord = {
    None: void;
    Clear: void;
    Set: {
        fields: [web3.PublicKey];
    };
};
export type RuleSetToggle = beet.DataEnumKeyAsKind<RuleSetToggleRecord>;
export declare const isRuleSetToggleNone: (x: RuleSetToggle) => x is {
    __kind: "None";
} & Omit<void, "void"> & {
    __kind: 'None';
};
export declare const isRuleSetToggleClear: (x: RuleSetToggle) => x is {
    __kind: "Clear";
} & Omit<void, "void"> & {
    __kind: 'Clear';
};
export declare const isRuleSetToggleSet: (x: RuleSetToggle) => x is {
    __kind: "Set";
} & Omit<{
    fields: [web3.PublicKey];
}, "void"> & {
    __kind: 'Set';
};
export declare const ruleSetToggleBeet: beet.FixableBeet<RuleSetToggle, RuleSetToggle>;
